%global pypi_name requests-unixsocket2
%global srcname requests_unixsocket2

%bcond_without check

Name:           python-%{pypi_name}
Version:        0.4.1
Release:        %mkrel 2
Summary:        Use requests to talk HTTP via a UNIX domain socket
License:        ASL 2.0
Group:          Development/Python
# fork of https://github.com/msabramo/requests-unixsocket
URL:            https://pypi.org/project/requests-unixsocket2/
Source0:        %{pypi_source}
BuildArch:      noarch
%if %{with check}
BuildRequires:	python3dist(pytest)
BuildRequires:	python3dist(waitress)
%endif

%description
Use requests to talk HTTP via a UNIX domain socket.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}
Obsoletes:	python3-requests-unixsocket < 0.4.1

%description -n python3-%{pypi_name}
Use requests to talk HTTP via a UNIX domain socket.

%prep
%autosetup -n %{srcname}-%{version}

# Remove shebangs
sed -i '1d' requests_unixsocket/tests/test_requests_unixsocket.py

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files requests_unixsocket

%if %{with check}
%check
%pytest
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md
%doc LICENSE



%changelog
* Mon Jul 29 2024 wally <wally> 0.4.1-2.mga10
+ Revision: 2082847
- fix requests-unixsocket obsoletes

* Mon Jul 29 2024 wally <wally> 0.4.1-1.mga10
+ Revision: 2082826
- rename .src.rpm as python-requests-unixsocket2
- new version 0.4.1

* Thu Jul 25 2024 papoteur <papoteur> 0.4.0-1.mga10
+ Revision: 2082602
- new version 0.4.0
- change upstream repository, use request-unixsocket2

* Sat Dec 09 2023 wally <wally> 0.3.0-3.mga10
+ Revision: 2016474
- rebuild for py3.12

* Tue Mar 29 2022 umeabot <umeabot> 0.3.0-2.mga9
+ Revision: 1832817
- Mageia 9 Mass Rebuild

* Tue Feb 22 2022 mrambo3501 <mrambo3501> 0.3.0-1.mga9
+ Revision: 1782730
- version 0.3.0
- rebuild for python-3.10

* Tue Mar 23 2021 guillomovitch <guillomovitch> 0.2.0-2.mga9
+ Revision: 1708479
- rebuild for python 3.9

* Wed Nov 11 2020 guillomovitch <guillomovitch> 0.2.0-1.mga8
+ Revision: 1644569
- imported package python-requests-unixsocket

